Summary:	Directory hierarchy for default icon theme
Summary(pl.UTF-8):	Struktura katalogów dla domyślnego motywu ikon
Name:		hicolor-icon-theme
Version:	0.18
Release:	1%{?tld}
License:	GPL v2+
Group:		Base
Source0:	https://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz
# Source0-md5:	ef14f3af03bcde9ed134aad626bdbaad
Patch0:		%{name}-more-dirs.patch
URL:		https://freedesktop.org/wiki/Software/icon-theme/
BuildRequires:	meson >= 0.60
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# Conflicts:	gnome-icon-theme < 1.0.9
Conflicts:	kdelibs < 9:3.2.0-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Directory hierarchy for default icon theme.

%description -l pl.UTF-8
Struktura katalogów dla domyślnego motywu ikon.

%prep
%setup -q
# additional sizes:
# 8x8/apps  genius grass postgis-gui spatialite_gui
# 8x8/emblems  ka5-kmail
# 20x20/apps  VirtualBox-gui kmymoney parcellite
# 20x20/mimetypes  VirtualBox-gui djvulibre
# 40x40/apps  parcellite
# 42x42/apps  grass postgis-gui spatialite_gui
# 80x80/apps  grass spatialite_gui ka5-kanagram-data
# 160x160/apps  wcm wf-shell
# 1024x1024/apps  kmymoney scribus ka5-kdevelop-data ka5-krita-data gingerblue gnome-internet-radio-locator gtk-internet-radio-locator octave-gui supertuxkart vcmi
# 1024x1024/mimetypes  kmymoney ka5-krita-data
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/symbolic/actions

# gtk+2 cache
touch $RPM_BUILD_ROOT%{_iconsdir}/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.md
%dir %{_iconsdir}/hicolor
%{_iconsdir}/hicolor/*x*
%{_iconsdir}/hicolor/scalable
%{_iconsdir}/hicolor/symbolic
%ghost %{_iconsdir}/hicolor/icon-theme.cache
%{_npkgconfigdir}/default-icon-theme.pc
%changelog
* Mon Dec 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/hicolor-icon-theme.git;a=log;h=master

* Sun Oct 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 51b8f1e
- updated to 0.18, uses meson now

* Tue Oct 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7c1bffb
- added 40x40 dir

* Tue May 11 2021 Jan Rękorajski <baggins@pld-linux.org> fc661e1
- package hicolor/symbolic/actions
- rel 2

* Tue Feb 27 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 76c83ac
- Update to 0.17

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 1b056cb
- existing URL

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 1d3ac05
- updated to 0.15
- updated more-dirs patch

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 64c2036
- updated to 0.13

* Thu Mar 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2768544
- rel 8; add 1024x1024 (retina) icons dir

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> cf4e4d6
- add 80x80 dir, release 7.

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> 91e0e32
- Add 512x512 dir
Release 6

* Tue Feb 21 2012 Grzesiek Pycia <gzohop@pld-linux.org> cb1a610
- rel 5
- add 20x20 hierarchy (linuxdcpp)

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 044e79c
- rel 4
- add 160x160 hierarchy (orage)
- move adding random dirs to a generic solution via patch

* Tue Dec 21 2010 Elan Ruusamäe <glen@pld-linux.org> 480c781
- package gtk+2 icon-theme.cache
- rel 3

* Wed Aug 11 2010 shadzik <shadzik@pld-linux.org> 0ce20f6
- add 42/8 devices dir

* Tue Jan 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 2878606
- obsolete

* Tue Jan 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 585700e
- updated to 0.12
- removed obsolete -256-size.patch

* Sat Apr 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 18f1f4e
- added -256-size.patch (support for 256x256 icons)
- release 3

* Sat Apr 04 2009 Marcin Banasiak <marcin.banasiak@gmail.com> da58c4b
- add 256x256 size (from upstream)

* Fri Dec 28 2007 Elan Ruusamäe <glen@pld-linux.org> 538d28e
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0894686
- tabs in preamble

